## kmldonkey 2.0.3~kde4svn971192

=== CMakeLists.txt ===
project(KMLDONKEY)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

# backward compatibility to <= KDE 4.1
MACRO_ENSURE_VERSION( "4.1.83" ${KDE_VERSION} KDE_VERSION_OK)
if(NOT KDE_VERSION_OK)
    macro_optional_find_package(Plasma)
    macro_log_feature(PLASMA_FOUND "Plasma" "Plasma libraries and header files" "http://plasma.kde.org/" FALSE "" "Plasma is needed for KMLDonkey Plasmoid")
else(NOT KDE_VERSION_OK)
    set(PLASMA_FOUND true)
    set(PLASMA_LIBS ${KDE4_PLASMA_LIBS})
endif(NOT KDE_VERSION_OK)

set(GENERIC_KMLDONKEY_VERSION "5.0.0")
set(GENERIC_KMLDONKEY_SOVERSION "5")

add_subdirectory(libkmldonkey)
add_subdirectory(kmldonkey)
if(PLASMA_FOUND)
    add_subdirectory(kmlplasma)
endif(PLASMA_FOUND)

# --- show log ---
macro_display_feature_log()

## kmldonkey 2.0.3-kde4.4.0really2.0.2-kde4.4.0

=== debian/changelog ===
kmldonkey (4:2.0.3-kde4.4.0really2.0.2-kde4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump compat to 7
    - Bump build-depends and Standards-Version
    - Built with dh --with kde
    - Drop cdbs
    - Build against libphonon-dev
    - Source format 3.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 12 Feb 2010 23:03:26 +0100

kmldonkey (4:2.0.3~kde4svn971192-0ubuntu1) karmic; urgency=low

  * New SVN snapshot, fixes FTBFS
  * Fixed build-deps:
    Replaced libphonon-dev by libqt4-phonon-dev (>= 4.5.1)
  * Removed libplasma-dev build-dep, as already build-depends on
    kdelibs5-dev
  * Added pkg-kde-tools build-dep
  * Fixed debian/rules for debian-qt-kde.mk instead of kde4.mk
  * Bump Standards-Version to 3.8.1

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 22 May 2009 01:00:16 +0200

kmldonkey (4:2.0.2-kde4.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Drop cmake-find-plasma.patch, CMakeLists was updated upstream to work
    with new buildsystem

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 27 Jan 2009 22:44:39 -0500

kmldonkey (4:2.0.2-kde4.1.2-0ubuntu5) jaunty; urgency=low

  * Rebuild against new libplasma-dev and bump version required to 4.2.0
    to avoid inadvertent builds against the old version on slow archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jan 2009 22:24:26 -0500

kmldonkey (4:2.0.2-kde4.1.2-0ubuntu4) jaunty; urgency=low

  * Rebuild again since amd64 got missed in the last one

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 Jan 2009 21:32:35 -0500

kmldonkey (4:2.0.2-kde4.1.2-0ubuntu3) jaunty; urgency=low

  * Patch CMakeLists.txt to work with annoyingly late in the release cycle
    build system changes
  * Rebuild for abi change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jan 2009 14:57:22 -0500

kmldonkey (4:2.0.2-kde4.1.2-0ubuntu2) jaunty; urgency=low

  * No change rebuild for libplasma3 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Dec 2008 16:25:09 -0500

kmldonkey (4:2.0.2-kde4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 28 Sep 2008 21:40:36 -0400

kmldonkey (4:2.0.2-kde4.1.1-0ubuntu3) intrepid; urgency=low

  * Create icon symlink as it can appear in the menu (LP: #264643).

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 09 Sep 2008 20:51:56 +0200

kmldonkey (4:2.0.2-kde4.1.1-0ubuntu2) intrepid; urgency=low

  * Rebuild on new kdelibs

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 02 Sep 2008 22:52:26 -0400

kmldonkey (4:2.0.2-kde4.1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 30 Aug 2008 20:38:09 -0400

kmldonkey (4:2.0.2-kde4.0.98-0ubuntu3) intrepid; urgency=low

  * Created kmldonkey.install file (LP: #253389)

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 30 Jul 2008 14:18:28 -0400

kmldonkey (4:2.0.2-kde4.0.98-0ubuntu2) intrepid; urgency=low

  * Add transitional package kmldonkey-kde4 -> kmldonkey

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 14 Jul 2008 22:18:59 -0400

kmldonkey (4:2.0.2-kde4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #248569)
  * debian/control: added Replaces: kmldonkey-kde4
  * bumped standards version to 3.8.0

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 14 Jul 2008 20:57:16 -0400

kmldonkey (4:2.0.2-kde4.0.80-0ubuntu1) intrepid; urgency=low

  * New minor upstream version
  * Dropped binary wrapper from debian/rules

 -- Richard Birnie <Arbyuk@googlemail.com>  Mon, 16 Jun 2008 19:37:11 +0000

kmldonkey-kde4 (4:2.0.2-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Updated kde.mk
  * Bumped kdelibs5-dev dep to 4:4.0.1

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 04 Feb 2008 17:40:17 -0600

kmldonkey-kde4 (4.0.0-0ubuntu1) hardy; urgency=low

  * Initial release 

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 06 Jan 2008 22:24:20 -0500

## kmldonkey 2.0.5%2Bkde4.3.3

=== debian/control ===
Source: kmldonkey
Section: net
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve Stalcup <vorian@ubunt.com>
Build-Depends: debhelper (>= 7.4.13), cmake, quilt, pkg-kde-tools,
 kdelibs5-dev (>= 4:4.4.0), libxss-dev, libphonon-dev
Standards-Version: 3.8.4

Package: kmldonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KMLDonkey is an advanced GUI frontend for the MLDonkey P2P core.
 KMLDonkey helps integrate the MLDonkey P2P software into KDE. It provides a 
 replacement GUI using the KDE framework, ED2K link handling in Konqueror, a 
 Control Centre module for configuring MLDonkey and client connectivity, and a 
 panel applet for Kicker that displays MLDonkey status and can launch the GUI 
 on demand.

## kmldonkey 2.0.5+kde4.3.3

=== kmldonkey/CMakeLists.txt ===
add_subdirectory(images)

include_directories(
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/tools ${CMAKE_CURRENT_BINARY_DIR}/tools
    ${KMLDONKEY_BINARY_DIR} ${KMLDONKEY_SOURCE_DIR}
    ${KMLDONKEY_BINARY_DIR}/libkmldonkey ${KMLDONKEY_SOURCE_DIR}/libkmldonkey
)

set(kmldonkeyapp_KDEINIT_SRCS
    abstractinfomodel.cpp
    addserver.cpp
    availability.cpp
    clientlist.cpp
    consolepage.cpp
    downloadpage.cpp
    friendpage.cpp
    infodialog.cpp
    infolist.cpp
    kmldonkey.cpp
    kmldview.cpp
    listeditor.cpp
    mlconfig.cpp
    optioneditor.cpp
    renamedialog.cpp
    searchcore.cpp
    searchcorewidgets.cpp
    search.cpp
    searchtabresult.cpp
    serverpage.cpp
    shareddirs.cpp
    sharedfilemodel.cpp
    sharepage.cpp
    statspageclients.cpp
    statspage.cpp
    statspagegnutella.cpp
    statspageovernet.cpp
    statspagerates.cpp
    submitdialog.cpp
    systemtray.cpp
    webbrowser.cpp
    webservices.cpp
    tools/clipboard.cpp
    tools/fileselector.cpp
    tools/fontselector.cpp
    tools/imageloader.cpp
    tools/mldplugin.cpp
    prefs/prefs.cpp
    main.cpp
    ../libkmldonkey/emulecollection.cpp
    uploadersmodel.cpp
)

kde4_add_ui_files(kmldonkeyapp_KDEINIT_SRCS
    prefs/generalpage.ui
    prefs/listspage.ui
    prefs/searchpage.ui
)

qt4_wrap_cpp(kmldonkeyapp_KDEINIT_SRCS searchtabiface.h)

add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

kde4_add_executable(kmldonkey ${kmldonkeyapp_KDEINIT_SRCS})
target_link_libraries(kmldonkey libkmldonkey ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} ${KDE4_KHTML_LIBS} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kmldonkey ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kmldonkey.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kmldonkeyui.rc kmldonkey.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kmldonkey)

=== kmlplasma/CMakeLists.txt ===
include_directories(
    ${KDE4_INCLUDES} ${KDE4_KIO_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
    ${KMLDONKEY_BINARY_DIR} ${KMLDONKEY_SOURCE_DIR}
    ${KMLDONKEY_BINARY_DIR}/libkmldonkey ${KMLDONKEY_SOURCE_DIR}/libkmldonkey
)

set(kmlplasmaengine_SRCS kmlplasmaengine.cpp)
kde4_add_plugin(plasma_engine_kmldonkey ${kmlplasmaengine_SRCS})
target_link_libraries(
    plasma_engine_kmldonkey
    libkmldonkey
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${PLASMA_LIBS}
    ${QT_QTCORE_LIBRARY}
    )
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
install(TARGETS plasma_engine_kmldonkey DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-engine-kmldonkey.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

set(kmlplasmaapplet_SRCS kmlplasmaapplet.cpp)
kde4_add_plugin(plasma_applet_kmldonkey ${kmlplasmaapplet_SRCS})
target_link_libraries(
    plasma_applet_kmldonkey 
    ${KDE4_KDEUI_LIBS} 
    ${KDE4_KIO_LIBS} 
    ${PLASMA_LIBS}
    )
install(TARGETS plasma_applet_kmldonkey DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-kmldonkey.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== kmldonkey/images/CMakeLists.txt ===
add_subdirectory( icons )

kde4_install_icons( ${DATA_INSTALL_DIR}/kmldonkey/icons )

=== debian/changelog ===
kmldonkey (2.0.5+kde4.3.3-5) unstable; urgency=medium

  * QA upload.
  * Remove the watch file: it refers to ftp.kde.org (which is no more), to the
    very old "extragear" tarballs (which are no more), and it has
    svn-buildpackage directives (which is no more used). If upstream is alive
    again, then a proper watch file will be added back.
  * Update lintian overrides.
  * Drop debian/source/options, which contains only "compression": just use
    the default compression for the debian tarball.
  * Disable the build of Plasma 4 components, since they are not useful in a
    Plasma 5 environment (as available in Debian since Stretch); patch
    disable-plasma.diff.
  * Improve the descriptions.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Jul 2018 18:20:22 +0200

kmldonkey (2.0.5+kde4.3.3-4) unstable; urgency=medium

  * QA upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Drop menu file and its pixmaps, since kmldonkey already provides a .desktop
    file
    - drop the imagemagick build dependency, since there is no more need to
      generate xpm files at build time
  * Convert rules to the dh sequencer:
    - remove the cdbs build dependency
    - make use of the kde dh addon
    - keep as-needed linking, and removal of development stuff
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.5.
  * Remove trailing whitespaces in control.
  * Remove unused build dependencies: libice-dev, libphonon-dev, libpng-dev,
    libsm-dev, libxcursor-dev, libxft-dev, libxrender-dev, and libsoprano-dev.
  * Backport upstream r1519541 to fix a null ptr access; patch r1519541.diff.
    (Closes: #856948)

 -- Pino Toscano <pino@debian.org>  Wed, 11 Jul 2018 07:51:54 +0200

kmldonkey (2.0.5+kde4.3.3-3) unstable; urgency=medium

  * QA upload.
  * Use debhelper 9.
  * Add missing Build-Depends on libsoprano-dev. Closes: #799504.
    Reported by Chris Lamb.

 -- Santiago Vila <sanvila@debian.org>  Sun, 20 Sep 2015 17:37:00 +0200

kmldonkey (2.0.5+kde4.3.3-2) unstable; urgency=low

  * Package orphaned, set maintainer to QA group
  * Updated standards version
  * Added build dependency pkg-kde-tools, previously pulled in indirectly
  * Updated build dependency from libpng12-dev to libpng-dev (closes:
    #662387)

 -- Peter Eisentraut <petere@debian.org>  Mon, 05 Mar 2012 21:43:46 +0200

kmldonkey (2.0.5+kde4.3.3-1) unstable; urgency=low

  * New upstream release
    - Fixed compilation with GCC 4.4 (closes: #525752)
    - Fixed search results tab (closes: #513185)
  * Switched source format to 3.0 (quilt)
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Jan 2010 14:02:53 +0200

kmldonkey (2.0.5+kde4.2.4-1) unstable; urgency=low

  * New upstream release
  * Updated watch file
  * Updated copyright file, and point to GPL-2 instead of GPL, per lintian
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sun, 21 Jun 2009 11:14:29 +0300

kmldonkey (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Updated watch file
  * Updated standards version
  * Switch rules to use pkg-kde-tools
  * Added Vcs control fields
  * Updated description to reflect KDE 4 feature set

 -- Peter Eisentraut <petere@debian.org>  Thu, 09 Apr 2009 20:24:02 +0300

kmldonkey (2.0.2-kde4.1.3-1) experimental; urgency=low

  * New upstream release
  * Dropped kcontrol and kicker dependencies, updated konqueror dependency
  * Updated standards version
  * Added lintian overrides

 -- Peter Eisentraut <petere@debian.org>  Sun, 16 Nov 2008 00:02:48 +0200

kmldonkey (2.0.2-kde4.0.4-1) experimental; urgency=low

  * New upstream release
  * Fixed watch file

 -- Peter Eisentraut <petere@debian.org>  Sun, 01 Jun 2008 15:52:34 +0200

kmldonkey (2.0.2-2) experimental; urgency=low

  * Fixed watch file
  * Added many build dependencies after they were removed from libqt4-dev
    (closes: #479154)

 -- Peter Eisentraut <petere@debian.org>  Tue, 06 May 2008 13:42:52 +0200

kmldonkey (2.0.2-1) experimental; urgency=low

  * New upstream release
  * Altered build rules for KDE 4 packaging
  * Updated watch file for move to KDE FTP server
  * Updated copyright file
  * Added manpage built with kdemangen.pl

 -- Peter Eisentraut <petere@debian.org>  Fri, 08 Feb 2008 23:14:06 +0100

kmldonkey (0.10.1-4) unstable; urgency=low

  * Changed menu section for new policy
  * Updated standards version
  * Removed mention of defunct web site
  * Removed empty directory from installation

 -- Peter Eisentraut <petere@debian.org>  Fri, 08 Feb 2008 19:39:51 +0100

kmldonkey (0.10.1-3) unstable; urgency=low

  * Updated standards version
  * Fixed cdbs build dependency version
  * Added linker option --as-needed

 -- Peter Eisentraut <petere@debian.org>  Fri, 13 Oct 2006 23:24:51 +0200

kmldonkey (0.10.1-2) unstable; urgency=low

  * Removed obsolete GCC 3.4 dependency (closes: #342992)
  * Changed to debhelper level 5

 -- Peter Eisentraut <petere@debian.org>  Fri, 27 Jan 2006 08:50:19 +0100

kmldonkey (0.10.1-1) unstable; urgency=low

  * New upstream release (closes: #323816)
  * Adjusted build rules for changed paths

 -- Peter Eisentraut <petere@debian.org>  Fri,  4 Nov 2005 16:42:03 +0100

kmldonkey (0.10-3) unstable; urgency=low

  * Rebuilt with GCC 3.4 on arm, m68k, hppa (closes: #326224)

 -- Peter Eisentraut <petere@debian.org>  Fri,  2 Sep 2005 18:02:16 +0200

kmldonkey (0.10-2) unstable; urgency=low

  * Changed maintainer address
  * Updated standards version
  * Added explanation of MLDonkey to package description (closes: #289064)
  * Rebuilt for new C++ ABI

 -- Peter Eisentraut <petere@debian.org>  Tue, 30 Aug 2005 12:35:46 +0200

kmldonkey (0.10-1) unstable; urgency=low

  * Initial release as an official Debian package (closes: #274622)

 -- Peter Eisentraut <peter_e@gmx.net>  Sun, 28 Nov 2004 00:27:14 +0100

=== debian/control ===
Source: kmldonkey
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake, debhelper (>= 11~), kdelibs5-dev, pkg-kde-tools
Standards-Version: 4.1.5
Homepage: http://extragear.kde.org/apps/kmldonkey/
Vcs-Browser: https://salsa.debian.org/debian/kmldonkey
Vcs-Git: https://salsa.debian.org/debian/kmldonkey.git

Package: kmldonkey
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: mldonkey-server
Description: advanced GUI for MLDonkey
 KMLDonkey is an advanced GUI frontend for the MLDonkey peer-to-peer core.
 .
 Features:
  * Supports most of the P2P protocols handled by the mldonkey backend
    (eDonkey/eMule, BitTorrent, Gnutella, Gnutella2, DirectConnect, FastTrack,
    SoulSeek, Audiogalaxy, OpenFT, FileTP)
  * Supports a lot of configuration options in the mldonkey backend
  * Can handle multiple threads simultaneously
  * Can be used with traffic-shaping tools
  * Can handle several security options

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kde

override_dh_auto_install:
	dh_auto_install --buildsystem=kde

	# remove development files
	rm -rf debian/kmldonkey/usr/include/
	find debian/kmldonkey -name '*.so' -type l -delete
